DataRetrievalFailureException (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.dao

## Class DataRetrievalFailureException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.dao.DataAccessException
          - - org.springframework.dao.NonTransientDataAccessException
            - - org.springframework.dao.DataRetrievalFailureException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    IncorrectResultSetColumnCountException, IncorrectResultSizeDataAccessException, LobRetrievalFailureException, ObjectRetrievalFailureException

      public class DataRetrievalFailureException
      extends NonTransientDataAccessException

  Exception thrown if certain expected data could not be retrieved, e.g. when looking up specific data via a known identifier. This exception will be thrown either by O/R mapping tools or by DAO implementations.
  Since:
    13.10.2003
  Author:
    Juergen Hoeller
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataRetrievalFailureException(String msg)` Constructor for DataRetrievalFailureException.
    `DataRetrievalFailureException(String msg, Throwable cause)` Constructor for DataRetrievalFailureException.

  - ### Method Summary

    - ### Methods inherited from class org.springframework.core.NestedRuntimeException

      `contains, getMessage, getMostSpecificCause, getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DataRetrievalFailureException

          public DataRetrievalFailureException(String msg)

      Constructor for DataRetrievalFailureException.
      Parameters:
        `msg` - the detail message

    - #### DataRetrievalFailureException

          public DataRetrievalFailureException(String msg,
                                       Throwable cause)

      Constructor for DataRetrievalFailureException.
      Parameters:
        `msg` - the detail message
        `cause` - the root cause from the data access API in use